%define monolithic 1

Summary: A PDF file viewer for the X Window System.
Name: xpdf
Version: 3.02
Release: 6
License: GPL
URL: http://www.foolabs.com/xpdf/
Group: Applications/Publishing

Source0: ftp://ftp.foolabs.com/pub/%{name}/%{name}-%{version}.tar.gz
Source1: %{name}-xpdfrc.tar.gz
Source2: ftp://ftp.foolabs.com/pub/%{name}/%{name}-arabic.tar.gz
Source3: ftp://ftp.foolabs.com/pub/%{name}/%{name}-chinese-simplified.tar.gz
Source4: ftp://ftp.foolabs.com/pub/%{name}/%{name}-chinese-traditional.tar.gz
Source5: ftp://ftp.foolabs.com/pub/%{name}/%{name}-cyrillic.tar.gz
Source6: ftp://ftp.foolabs.com/pub/%{name}/%{name}-greek.tar.gz
Source7: ftp://ftp.foolabs.com/pub/%{name}/%{name}-hebrew.tar.gz
Source8: ftp://ftp.foolabs.com/pub/%{name}/%{name}-japanese.tar.gz
Source9: ftp://ftp.foolabs.com/pub/%{name}/%{name}-korean.tar.gz
Source10: ftp://ftp.foolabs.com/pub/%{name}/%{name}-latin2.tar.gz
Source11: ftp://ftp.foolabs.com/pub/%{name}/%{name}-thai.tar.gz
Source12: ftp://ftp.foolabs.com/pub/%{name}/%{name}-turkish.tar.gz
Source13: %{name}.desktop
Source14: ftp://ftp.foolabs.com/pub/%{name}/%{name}-%{version}.tar.gz.sig
Source15: ftp://ftp.foolabs.com/pub/%{name}/%{name}-%{version}pl1.patch.sig
Source16: ftp://ftp.foolabs.com/pub/%{name}/%{name}-%{version}pl2.patch.sig
Source17: ftp://ftp.foolabs.com/pub/%{name}/%{name}-%{version}pl3.patch.sig
Source18: ftp://ftp.foolabs.com/pub/%{name}/%{name}-%{version}pl4.patch.sig
Source19: ftp://ftp.foolabs.com/pub/%{name}/%{name}-%{version}pl5.patch.sig

Patch0: %{name}-3.02pl1.patch
Patch1: %{name}-3.02pl2.patch
Patch2: %{name}-3.02pl3.patch
Patch3: %{name}-3.02pl4.patch
Patch4: %{name}-3.02pl5.patch
Patch5: %{name}-3.02-aix.patch

BuildRequires: patch
BuildRequires: t1lib-devel libXpm-devel >= 3.5.7
BuildRequires: freetype2-devel >= 2.1.7
BuildRequires: libpaper-devel

Requires: urw-fonts t1lib libXpm >= 3.5.7
Requires: freetype2 >= 2.1.7
Requires: libpaper

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%package arabic
Summary: Arabic support
Requires: %{name} >= 1.00
Group: Applications/Publishing

%package chinese-simplified
Summary: Chinese Simplified support
Requires: %{name} >= 1.00
Group: Applications/Publishing

%package chinese-traditional
Summary: Chinese Traditional support
Requires: %{name} >= 1.00
Group: Applications/Publishing

%package cyrillic
Summary: Cyrillic support
Requires: %{name} >= 1.00
Group: Applications/Publishing

%package greek
Summary: Greek support
Requires: %{name} >= 1.00
Group: Applications/Publishing

%package hebrew
Summary: Hebrew support
Requires: %{name} >= 1.00
Group: Applications/Publishing

%package japanese
Summary: Japanese support
Requires: %{name} >= 1.00
Group: Applications/Publishing

%package korean
Summary: Korean support
Requires: %{name} >= 1.00
Group: Applications/Publishing

%package latin2
Summary: Latin2 support
Requires: %{name} >= 1.00
Group: Applications/Publishing

%package thai
Summary: Thai support
Requires: %{name} >= 1.00
Group: Applications/Publishing

%package turkish
Summary: Turkish support
Requires: %{name} >= 1.00
Group: Applications/Publishing


%description
Xpdf is an X Window System based viewer for Portable Document Format
(PDF) files. Xpdf is a small and efficient program which uses
standard X fonts.

%description arabic
This package provides support files needed to use the Xpdf tools with
Arabic PDF files.

%description chinese-simplified
This package provides support files needed to use the Xpdf tools with
Chinese (Simplified) PDF files.

Contents include: Adobe-GB1 character collection support, ISO-2022-CN
encoding, and EUC-CN encoding

%description chinese-traditional
This package provides support files needed to use the Xpdf tools with
Chinese (Traditional) PDF files.

Contents include: Adobe-CNS1 character collection support and Big5
encoding

%description japanese
This package provides support files needed to use the Xpdf tools with
Japanese PDF files.

Contents include: Adobe-Japan1 character collection support,
ISO-2022-JP encoding, and EUC-JP encoding Shift-JIS encoding

%description cyrillic
This package provides support files needed to use the Xpdf tools with
Cyrillic PDF files.

%description greek
This package provides support files needed to use the Xpdf tools with
Greek PDF files.

%description hebrew
This package provides support files needed to use the Xpdf tools with
Hebrew PDF files.

%description japanese
This package provides support files needed to use the Xpdf tools with
Japanese PDF files.

%description korean
This package provides support files needed to use the Xpdf tools with
Korean PDF files.

Contents include: Adobe-Korea1 character collection support and
KSX1001 encoding

%description latin2
This package provides support files needed to use the Xpdf tools with
Latin2 PDF files.

%description thai
This package provides support files needed to use the Xpdf tools with
Thai PDF files.

%description turkish
This package provides support files needed to use the Xpdf tools with
Turkish PDF files.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q -a 1 -a 2 -a 3 -a 4 -a 5 -a 6 -a 7 -a 8 -a 9 -a 10 -a 11 -a 12
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p0

### The following option worked previously, not anymore, there I omitted it
###   --enable-multithreaded \
%build
export CC=xlc_r
export CXX=xlC_r
export CFLAGS="-O2"
export CXXFLAGS="-O2"
./configure --prefix=/opt/freeware \
   --enable-a4-paper \
   --enable-opi \
   --enable-wordlist \
   --with-x \
   --with-gzip \
   --with-appdef-dir=/usr/lib/X11/app-defaults/ \
   --with-t1-includes=/opt/freeware/include \
   --with-t1-library=/opt/freeware/lib \
   --with-freetype2-includes=/opt/freeware/include/freetype2 \
   --with-freetype2-library=/opt/freeware/lib
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Graphics \
         $RPM_BUILD_ROOT%{_datadir}/%{name}/arabic \
         $RPM_BUILD_ROOT%{_datadir}/%{name}/chinese-simplified \
         $RPM_BUILD_ROOT%{_datadir}/%{name}/chinese-traditional \
         $RPM_BUILD_ROOT%{_datadir}/%{name}/cyrillic \
         $RPM_BUILD_ROOT%{_datadir}/%{name}/greek \
         $RPM_BUILD_ROOT%{_datadir}/%{name}/hebrew \
         $RPM_BUILD_ROOT%{_datadir}/%{name}/japanese \
         $RPM_BUILD_ROOT%{_datadir}/%{name}/korean \
         $RPM_BUILD_ROOT%{_datadir}/%{name}/latin2 \
         $RPM_BUILD_ROOT%{_datadir}/%{name}/thai \
         $RPM_BUILD_ROOT%{_datadir}/%{name}/turkish \

make DESTDIR=${RPM_BUILD_ROOT} install

cp %{SOURCE13} ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics/
chmod 0644 ${RPM_BUILD_ROOT}/etc/X11/applnk/Graphics/*

cp -rf xpdf-arabic/* ${RPM_BUILD_ROOT}%{_datadir}/%{name}/arabic/
cp -rf xpdf-chinese-simplified/* ${RPM_BUILD_ROOT}%{_datadir}/%{name}/chinese-simplified/
cp -rf xpdf-chinese-traditional/* ${RPM_BUILD_ROOT}%{_datadir}/%{name}/chinese-traditional/
cp -rf xpdf-cyrillic/* ${RPM_BUILD_ROOT}%{_datadir}/%{name}/cyrillic/
cp -rf xpdf-greek/* ${RPM_BUILD_ROOT}%{_datadir}/%{name}/greek/
cp -rf xpdf-hebrew/* ${RPM_BUILD_ROOT}%{_datadir}/%{name}/hebrew/
cp -rf xpdf-japanese/* ${RPM_BUILD_ROOT}%{_datadir}/%{name}/japanese/
cp -rf xpdf-korean/* ${RPM_BUILD_ROOT}%{_datadir}/%{name}/korean/
cp -rf xpdf-latin2/* ${RPM_BUILD_ROOT}%{_datadir}/%{name}/latin2/
cp -rf xpdf-thai/* ${RPM_BUILD_ROOT}%{_datadir}/%{name}/thai/
cp -rf xpdf-turkish/* ${RPM_BUILD_ROOT}%{_datadir}/%{name}/turkish/

mkdir -p ${RPM_BUILD_ROOT}/usr/bin
cd ${RPM_BUILD_ROOT}/usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc CHANGES README
%{_bindir}/*
%{_mandir}/man?/*
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/xpdfrc
%dir %{_datadir}/%{name}
%attr(0644,root,system) /etc/X11/applnk/Graphics/%{name}.desktop
/usr/bin/*

%if !%{monolithic}
%files arabic
%defattr(-,root,system)
%endif
%lang(xx_XX) %{_datadir}/%{name}/arabic

%if !%{monolithic}
%files chinese-simplified
%defattr(-,root,system)
%endif
%lang(zh_CN) %{_datadir}/%{name}/chinese-simplified

%if !%{monolithic}
%files chinese-traditional
%defattr(-,root,system)
%endif
%lang(zh_TW) %{_datadir}/%{name}/chinese-traditional

%if !%{monolithic}
%files cyrillic
%defattr(-,root,system)
%endif
%lang(xx_XX) %{_datadir}/%{name}/cyrillic

%if !%{monolithic}
%files greek
%defattr(-,root,system)
%endif
%lang(xx_XX) %{_datadir}/%{name}/greek

%if !%{monolithic}
%files hebrew
%defattr(-,root,system)
%endif
%lang(xx_XX) %{_datadir}/%{name}/hebrew

%if !%{monolithic}
%files japanese
%defattr(-,root,system)
%endif
%lang(ja) %{_datadir}/%{name}/japanese

%if !%{monolithic}
%files korean
%defattr(-,root,system)
%endif
%lang(ko) %{_datadir}/%{name}/korean

%if !%{monolithic}
%files latin2
%defattr(-,root,system)
%endif
%lang(xx_XX) %{_datadir}/%{name}/latin2

%if !%{monolithic}
%files thai
%defattr(-,root,system)
%endif
%lang(xx_XX) %{_datadir}/%{name}/thai

%if !%{monolithic}
%files turkish
%defattr(-,root,system)
%endif
%lang(xx_XX) %{_datadir}/%{name}/turkish


%changelog
* Wed Oct 27 2010 Michael Perzl <michael@perzl.org> - 3.02-6
- updated to xpdf-3.02pl5

* Mon Oct 19 2009 Michael Perzl <michael@perzl.org> - 3.02-5
- updated to xpdf-3.02pl4, added dependency on libpaper

* Fri Apr 17 2009 Michael Perzl <michael@perzl.org> - 3.02-4
- updated to xpdf-3.02pl3

* Fri Apr 04 2008 Michael Perzl <michael@perzl.org> - 3.02-3
- fixed some minor SPEC file issues

* Wed Nov 14 2007 Michael Perzl <michael@perzl.org> - 3.02-2
- updated to xpdf-3.02pl2

* Fri Aug 17 2007 Michael Perzl <michael@perzl.org> - 3.02-1
- updated to xpdf-3.02pl1

* Wed Nov 22 2006 Michael Perzl <michael@perzl.org> - 3.01-2
- incorporated security fix xpdf-3.01pl2

* Wed Jan 04 2006 Michael Perzl <michael@perzl.org> - 3.01-1
- first version for AIX V5.1 and higher
